Subject: A. gamma migration in Finland

From: Janne Sinkkonen <[email-masked]>
Date: 09 Jun 1996 00:11:23 +0300

Today and tonight I have seen tens of A. gamma specimens in fly or on
flowers in Nummela, Finland (near Helsinki). It _seems_ like the most
numerous Noctuoidea sp. right now. P. xylostella is also present.

--
Janne